/*******************************************************************************
 * SeqAct_SetDOFParams generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_SetDOFParams extends SeqAct_Latent
    native(Sequence)
    hidecategories(Object);

var() float FalloffExponent;
var() float BlurKernelSize;
var(BlurAmount) float MaxNearBlurAmount;
var(BlurAmount) float MinBlurAmount;
var(BlurAmount) float MaxFarBlurAmount;
var() float FocusInnerRadius;
var() float FocusDistance;
var() Vector FocusPosition;
var() float InterpolateSeconds;
var float InterpolateElapsed;
var float OldFalloffExponent;
var float OldBlurKernelSize;
var float OldMaxNearBlurAmount;
var float OldMinBlurAmount;
var float OldMaxFarBlurAmount;
var float OldFocusInnerRadius;
var float OldFocusDistance;
var Vector OldFocusPosition;

defaultproperties
{
    FalloffExponent=4.0
    BlurKernelSize=5.0
    MaxNearBlurAmount=1.0
    MaxFarBlurAmount=1.0
    FocusInnerRadius=600.0
    FocusDistance=600.0
    InterpolateSeconds=2.0
    InputLinks(0)=(LinkDesc="Enable",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    InputLinks(1)=(LinkDesc="Disable",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Depth Of Field"
}